Discuz! X3.0 Beta 升级错误解决办法

Discuz! X3.0 beta 升级错误解决方法

  今天Discuz! X3.0 Beta下午开放下载了,相信很多朋友都看到了,也有很多模板设计师、应用开发者都开始准备为新版的Discuz开始设计和升级准备了。这两年Discuz一出更新我就会开始测试,等待正式版的到来(按照Discuz的惯例,今年正式版发布应该还是会选择在5月11日今年的站长大会上。)。在正式版到来之前我们可以先为网站设计新的模板、插件也需要升级。为了能更好的测试,我就直接给自己运营中第一个网站数据直接拿下来当小白鼠了。

  给网站在本地升级后发现发帖等一切正常,但是浏览的时候会出现错误提示无法查看帖子内容。

Discuz! X3.0 beta update error 1

  提示错误后尝试了下全新安装,依然还是提示错误。但是我下午在单位的时候还是可以正常使用,应该是家里面环境和程序有问题,看来下家里面电脑的环境是PHP5.3

Discuz! X3.0 beta update error 2

  单位的环境是PHP 5.4.12,把家的环境切换到PHP 5.4.12后就一切正常了,看来Discuz! X3.0 Beta 对PHP 5.3的支持不是很好啊,存在兼容问题。

  尝试了下PHP 5.2.17也是可以正常使用的,如果大家遇到和我一样的问题可以把环境更改为PHP 5.2.17或者是PHP 5.4.12的,这两个是可以的,其他PHP版本没有测试过,大家可以自行测试下。

最后修改:6年前

共有 0 条评论